table:
  name: deployment
  schema: variables
object_relationships:
  - name: deployed
    using:
      manual_configuration:
        column_mapping:
          deploy_id: id
        insertion_order: null
        remote_table:
          name: deployed
          schema: checks
insert_permissions:
  - role: _staff
    permission:
      check: {}
      columns:
        - vars
        - deploy_id
select_permissions:
  - role: _scoringpod
    permission:
      columns:
        - vars
        - deploy_id
      filter: {}
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - vars
        - deploy_id
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _staff
    permission:
      columns:
        - vars
        - deploy_id
      filter: {}
      check: {}
delete_permissions:
  - role: _staff
    permission:
      filter: {}
